Runtime

## org.eclipse.gmf.runtime.emf.clipboard.core
Class PostPasteChildOperation

    java.lang.Object
      org.eclipse.gmf.runtime.emf.clipboard.core.ClipboardOperation
          org.eclipse.gmf.runtime.emf.clipboard.core.BasePasteOperation
              org.eclipse.gmf.runtime.emf.clipboard.core.PasteChildOperation
                  org.eclipse.gmf.runtime.emf.clipboard.core.PostPasteChildOperation

public class PostPasteChildOperation
extends PasteChildOperation

Abstract definition of an `IClipboardSupport`-defined operation that follows the pasting of a child element into the target parent, to perform additional work. Post paste operations are created by the `getPostPasteOperation()` method of `OverridePasteChildOperation`s.

This class is intended to be extended by clients, to provide an auxiliary paste operation in the clipboard support.

See Also:
  `IClipboardSupport.getOverrideChildPasteOperation(PasteChildOperation)`, `PasteChildOperation.getPostPasteOperation()`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.PasteChildOperation
`COPY, EMPTY_ARRAY`

Fields inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.BasePasteOperation
`PASTE`

Fields inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.ClipboardOperation
`TOTAL_WORK, WORK_UNIT`

Constructor Summary
`PostPasteChildOperation(PasteChildOperation pasteChildOperation, java.util.List pasteOperations)` Initializes me with the paste operation that I am following.
`PostPasteChildOperation(PasteChildOperation pasteChildOperation, PasteChildOperation[] pasteOperations)` Initializes me with the paste operation that I am following.

Method Summary
`protected PasteChildOperation` `getPasteChildOperation()` Obtains the paste operation that I follow as a post-paste.
`protected PasteChildOperation[]` `getPasteOperations()` Obtains the paste operations that I execute when I am executed.
`PasteChildOperation` `getPostPasteOperation()` By default, returns another post-paste operation that executes the post-paste operations of all of my `additional` paste operations.
`static PostPasteChildOperation` `makeNullPostPasteChildOperation(PasteChildOperation pasteChildOperation)` Creates an empty operation to follow the specified paste operation.
`void` `paste()` Invoked after the past-child operation that I am following has done its pasting, to do some more pasting.

Methods inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.PasteChildOperation

`canBeReplaced, doPasteInto, doPasteInto, doPasteInto, doPasteInto, getAlwaysCopyObjectPasteOperations, getAuxiliaryChildPasteProcess, getChildObjectInfo, getContainmentFeature, getCopyParentEObject, getCopyParentObjectInfo, getEObject, getEObject, getEObjectID, getLoadedDirectContainerEObject, getLoadedEObject, getLoadedEObjectID, getMainChildPasteProcess, getParentEObject, getParentPasteProcess, getParentResource, getParentTarget, getPasteContainmentFeature, getPastedDirectCopyParent, getPastedElement, getPastedEObject, getSuitableParentUsingAncestry, handleCollision, handleCollision, hasCopyParent, isAuxiliaryOperation, isCopyAlways, isCopyParentDirectParent, makeAuxiliaryChildPasteProcess, mergeEObjects, mergeLists, setPastedElement, shouldPasteAlwaysCopyObject`

Methods inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.BasePasteOperation

`addCriticalResolveFailure, addMergedElementEntry, addPastedElement, addPasteFailuresObject, getAllCriticalResolveFailuresSet, getAllMergedElementsMap, getAllPastedElementSet, getAllPasteFailuresObjectSet, getCriticalResolveFailuresSet, getLoadOptionsMap, getMergedElementsMap, getPastedElementSet, getPasteFailuresObjectSet, getResourceInfo, getSpawningPasteOperation, removeCriticalResolveFailure, throwCancelException`

Methods inherited from class org.eclipse.gmf.runtime.emf.clipboard.core.ClipboardOperation
`catchException, getClipboardOperationHelper, getProgressMonitor, isCancelled, throwCancelException, throwException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostPasteChildOperation

    public PostPasteChildOperation(PasteChildOperation pasteChildOperation,
                                   java.util.List pasteOperations)

  Initializes me with the paste operation that I am following. I may wish to access it later, to get its results.

Parameters:
  `pasteChildOperation` - the paste child operation that I follow
  `pasteOperations` - paste operations to execute. By default, I will execute all of these operations first, then all of their post-paste operations (after all of the pastes have completed)

### PostPasteChildOperation

    public PostPasteChildOperation(PasteChildOperation pasteChildOperation,
                                   PasteChildOperation[] pasteOperations)

  Initializes me with the paste operation that I am following. I may wish to access it later, to get its results.

Parameters:
  `pasteChildOperation` - the paste child operation that I follow
  `pasteOperations` - paste operations to execute. By default, I will execute all of these operations first, then all of their post-paste operations (after all of the pastes have completed)

Method Detail

### makeNullPostPasteChildOperation

    public static PostPasteChildOperation makeNullPostPasteChildOperation(PasteChildOperation pasteChildOperation)

  Creates an empty operation to follow the specified paste operation.

  Parameters:
    `pasteChildOperation` - a paste operation
  Returns:
    a post-paste operation that does nothing

### paste

    public void paste()
               throws java.lang.Exception

  Invoked after the past-child operation that I am following has done its pasting, to do some more pasting.

  By default, I just invoke the `PasteChildOperation.paste()` method on all of my additional paste operations.

  Overrides:
    `paste` in class `PasteChildOperation`
  Throws:
    `java.lang.Exception`
  See Also:
    `PostPasteChildOperation.getPasteOperations()`

### getPostPasteOperation

    public PasteChildOperation getPostPasteOperation()

  By default, returns another post-paste operation that executes the post-paste operations of all of my `additional` paste operations.

  Overrides:
    `getPostPasteOperation` in class `PasteChildOperation`
  Returns:
    an additional operation to do more pasting
  See Also:
    `PostPasteChildOperation.getPasteOperations()`

### getPasteChildOperation

    protected PasteChildOperation getPasteChildOperation()

  Obtains the paste operation that I follow as a post-paste.

  Returns:
    my paste operation

### getPasteOperations

    protected PasteChildOperation[] getPasteOperations()

  Obtains the paste operations that I execute when I am executed.

  Returns:
    my paste operations

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.